/*
 * *************************************************
 * Copyright (c) 2020 QMTH. All Rights Reserved.
 * Created by Deason on 2020-04-01 18:01:44.
 * *************************************************
 */

package cn.com.qmth.examcloud.exchange.outer.service.impl;

import cn.com.qmth.examcloud.exchange.outer.service.OutletPaperStructService;
import cn.com.qmth.examcloud.exchange.outer.service.bean.OuterCourseBean;
import cn.com.qmth.examcloud.exchange.outer.service.bean.OuterQuestionBean;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("outletPaperStructService")
public class OutletPaperStructServiceImpl implements OutletPaperStructService {

    private static final Logger log = LoggerFactory.getLogger(OutletPaperStructServiceImpl.class);

    /**
     * 根据考试和课程获取调卷规则下试卷的试题列表
     *
     * @param examId     考试ID
     * @param courseCode 课程代码
     * @return
     */
    @Override
    public List<OuterQuestionBean> getPaperStructQuestions(Long examId, String courseCode) {
        return null;
    }

    /**
     * 获取考试相关联的课程列表
     *
     * @param examId 考试ID
     * @return 列表
     */
    @Override
    public List<OuterCourseBean> getExamCourses(Long examId) {
        return null;
    }

}